@echo off
rem ----- script example by Luke (www.wcsaga.org)

setlocal enabledelayedexpansion

rem -------------- SETUP BEGIN --------------
set        src_folder=d:\Diaspora\
set       dest_folder=g:\temp\
set         dest_name=Diaspora
set            vptexe=..\vpt.exe
set one_folder_per_vp=0
rem -------------- SETUP END --------------
rem note to vptexe           : full path to vpt.exe (e.g. c:\tools\vpt\vpt.exe)
rem note to one_folder_per_vp: 0 = one complete data folder inclusive patch
rem                            1 = separate data folders for every VP file

call :func_cleanup_paths
if not exist "%src_folder%fs2_open_Diaspora_R1.exe" (
	echo Wrong source folder "%src_folder%" !
	goto end
)
if not exist "%dest_folder%" (
	echo Wrong destination folder "%dest_folder%" !
	goto end
)

set start_time=%time%

call :func_vpt -nop R1_Core
call :func_vpt -nop R1_Effects
call :func_vpt -nop R1_Interface
call :func_vpt -nop R1_Movies
call :func_vpt -nop R1_Ships
call :func_vpt -nop R1_Sound
call :func_vpt -nop R1_Textures
call :func_vpt -o   R1.1_Patch

echo.
echo Start: %start_time%
echo Stop : %time%

:end
echo.
pause
exit /b

:func_vpt
if [%one_folder_per_vp%] == [1] set suffix=\%2
%vptexe% x %1 "%src_folder%%2.vp" * "%dest_folder%%dest_name%%suffix%"
exit /b

:func_cleanup_paths
if defined src_folder (
	set src_folder=!src_folder:"=!
	if not [!src_folder:~-1!] == [\] set src_folder=!src_folder!\
)
if defined dest_folder (
	set dest_folder=!dest_folder:"=!
	if not [!dest_folder:~-1!] == [\] set dest_folder=!dest_folder!\
)
if defined vp_file (
	set vp_file=!vp_file:"=!
)
exit /b